Page MenuHomePhabricator

Introduce PageViewUpdates hook to allow a DB update for each page view
Closed, ResolvedPublic

Description

The HitCounter extension (T74420: Turn hit counters (which were removed in 1.25) into an extension) needs a way to perform database updates for each page view. I suggest a hook: PageViewUpdates.

Event Timeline

MarkAHershberger raised the priority of this task from to Needs Triage.
MarkAHershberger updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 30 2015, 2:14 AM

Change 207714 had a related patch set uploaded (by MarkAHershberger):
Create PageViewUpdates hook

https://gerrit.wikimedia.org/r/207714

Change 207715 had a related patch set uploaded (by MarkAHershberger):
Create PageViewUpdates hook

https://gerrit.wikimedia.org/r/207715

Aklapper triaged this task as Normal priority.Apr 30 2015, 11:28 AM

Change 207715 merged by jenkins-bot:
Create PageViewUpdates hook

https://gerrit.wikimedia.org/r/207715

Change 207714 merged by jenkins-bot:
Create PageViewUpdates hook

https://gerrit.wikimedia.org/r/207714

Prod added a subscriber: Prod.May 4 2015, 12:23 AM
Paladox closed this task as Resolved.Jul 18 2015, 11:54 AM
Paladox assigned this task to MarkAHershberger.
Paladox removed a project: Patch-For-Review.
Paladox set Security to None.
Paladox removed a subscriber: gerritbot.